Updates
Check and apply panel updates.
3 endpoints
GET /api/update
Update State
the panel version, the latest one, and how an update goes
Sudo admin only
Response 200 Successful Response · UpdateState
Response fields
| Field | Type | Description |
|---|---|---|
current | string | |
installed | boolean | |
state | string | |
step | string | |
latest | string | |
available | boolean | |
checked_at | integer | |
started_at | integer | |
finished_at | integer | |
error | string | |
pending | string | |
log | string[] | |
news | Release[] | |
history | Release[] |
json
{
"current": "string",
"installed": false,
"state": "idle",
"step": "",
"latest": "string",
"available": false,
"checked_at": 0,
"started_at": 0,
"finished_at": 0,
"error": "",
"pending": "string",
"log": [],
"news": [],
"history": []
}Errors: 401 Unauthorized, 403 Forbidden
bash
curl -X GET 'https://YOUR-PANEL/api/update' \
-H 'Authorization: Bearer $TOKEN'POST /api/update
Start Update
update the panel to the latest version (backup first, the old version back if it fails)
Sudo admin only
Response 200 Successful Response · UpdateState
Response fields
| Field | Type | Description |
|---|---|---|
current | string | |
installed | boolean | |
state | string | |
step | string | |
latest | string | |
available | boolean | |
checked_at | integer | |
started_at | integer | |
finished_at | integer | |
error | string | |
pending | string | |
log | string[] | |
news | Release[] | |
history | Release[] |
json
{
"current": "string",
"installed": false,
"state": "idle",
"step": "",
"latest": "string",
"available": false,
"checked_at": 0,
"started_at": 0,
"finished_at": 0,
"error": "",
"pending": "string",
"log": [],
"news": [],
"history": []
}Errors: 401 Unauthorized, 403 Forbidden
bash
curl -X POST 'https://YOUR-PANEL/api/update' \
-H 'Authorization: Bearer $TOKEN'POST /api/update/check
Check For Update
ask the updater to look for a new version
Sudo admin only
Response 200 Successful Response · UpdateState
Response fields
| Field | Type | Description |
|---|---|---|
current | string | |
installed | boolean | |
state | string | |
step | string | |
latest | string | |
available | boolean | |
checked_at | integer | |
started_at | integer | |
finished_at | integer | |
error | string | |
pending | string | |
log | string[] | |
news | Release[] | |
history | Release[] |
json
{
"current": "string",
"installed": false,
"state": "idle",
"step": "",
"latest": "string",
"available": false,
"checked_at": 0,
"started_at": 0,
"finished_at": 0,
"error": "",
"pending": "string",
"log": [],
"news": [],
"history": []
}Errors: 401 Unauthorized, 403 Forbidden
bash
curl -X POST 'https://YOUR-PANEL/api/update/check' \
-H 'Authorization: Bearer $TOKEN'